%global amavisdir /var/spool/amavisd
%define _localstatedir %{amavisdir}

Summary: Milter helper for Amavisd-new
Name: amavisd-milter
Version: 1.6.0
Release: 6%{?dist}
License: Petr Rehor <rx@rx.cz>. All rights reserved.
Group: System Environment/Daemons
URL: http://amavisd-milter.sourceforge.net/

Packager : Django <django@nausch.org>
Distribution: CentOS 6
Vendor: Amavisd-new

Source0: http://sourceforge.net/projects/amavisd-milter/files/amavisd-milter/amavisd-milter-1.6.0/amavisd-milter-1.6.0.tar.gz
#Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source1: amavisd-milter.service
Source2: amavisd-milter.conf
Source3: amavisd-milter-helper

#BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: sendmail-devel >= 8.13
Requires: amavisd-new >= 2.4.3
Requires: sendmail-milter

%description
amavisd-milter is a milter (mail filter) for amavisd-new 2.4.3 and above which uses the AM.PDP protocol.
It has been tested to work with mail servers sendmail 8.13+ and postfix 2.9+


%prep
%setup -n %{name}-%{version}


%build
%configure
make %{?_smp_mflags}

%install
#rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
install -m 755 -d %{buildroot}/usr/lib/systemd/system/
install -m 755 %{SOURCE1} %{buildroot}/usr/lib/systemd/system/amavisd-milter.service
install -m 755 -d %{buildroot}/%{_sysconfdir}/amavisd/
install -m 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/amavisd/amavisd-milter.conf
install -m 755 -d %{buildroot}/usr/sbin/
install -m 755 %{SOURCE3} %{buildroot}/usr/sbin/amavisd-milter-helper


#%clean
#%{__rm} -rf %{buildroot}


%pre


%post
#/usr/bin/chmod 750 /var/run/amavisd

%preun
if [ $1 -eq 0 ] ; then
    /usr/bin/systemctl stop amavisd-milter
    /usr/bin/systemctl disable amavisd-milter.service
fi


%postun
if [ $1 -ne 0 ]; then
    /usr/bin/systemctl restart amavisd-milter.service
fi


%files
%defattr(-,root,root,-)
%doc LICENSE README TODO CHANGES
#%{_sysconfdir}/rc.d/init.d/%{name}
%config(noreplace) %{_sysconfdir}/amavisd/amavisd-milter.conf
%{_sbindir}/amavisd-milter
%{_sbindir}/amavisd-milter-helper
/usr/lib/systemd/system/amavisd-milter.service
%{_mandir}/man8/amavisd-milter.8.gz


%changelog
* Fri Nov 21 2014 Django <django@nausch.org> 1.6.0-6
- set right working directory for amavisd-milter
  (default /var/spool/amavisd/tmp)

* Mon Nov 17 2014 Django <django@nausch.org> 1.6.0-5
- right communication socket between amavisd-milter and 
  amavisd-new (default /var/spool/amavisd/amavisd.sock)

* Sun Sep 28 2014 Django <django@nausch.org> 1.6.0-4
- right  working directory in amavisd-milter.conf 

* Fri Sep 26 2014 Django <django@nausch.org> 1.6.0-3
- cosmetic changes in rpm

* Fri Sep 26 2014 Django <django@nausch.org> 1.6.0-2
- update on systemd

* Thu Sep 25 2014 Django <django@nausch.org> 1.6.0-1
- initial build for CentOS 7

* Tue May 06 2014 Django <django@nausch.org> 1.6.0-3
- new configuration-parameter AMAVISD_SOCKET and
  update on init-script 

* Mon May 05 2014 Django <django@nausch.org> 1.6.0-2
- patched init-sript (correct setup for amavisd-new socket) 

* Tue Mar 25 2014 Django <django@nausch.org> 1.6.0-1
- initial relase version 1.6.0

* Sun Jan 20 2013  Jo Rhett
- Created for version 1.5.0
